package com.muyu.marketing.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.muyu.product.domain.RuleInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamInfoAddReq {

    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 商品ID
     */
    @NotNull(message = "商品ID不能为空")
    private Long productId;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 活动名称
     */
    @NotNull(message = "商品名称不能为空")
    private String name;
    /**
     * 活动简介
     */
    @NotNull(message = "商品简介不能为空")
    private String introduction;
    /**
     * 商品单位
     */
    private String unit;
    /**
     * 商品的轮播图
     */
    @NotNull(message = "商品轮播图不能为空")
    private String imageList;
    /**
     * 活动时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
    /**
     * 策略ID
     */
    @NotNull(message = "策略ID不能为空")
    private Long strategyId;
    /**
     * 策略类型
     */
    @NotNull(message = "策略类型不能为空")
    private String strategyType;
    /**
     * 商品规格List
     */
    @NotNull(message = "商品规格不能为空")
    private List<RuleInfo> ruleInfo;
    /**
     * 排序
     */
    @NotNull(message = "排序不能为空")
    private Integer sort;
    /**
     * 详情
     */
    @NotNull(message = "详情不能为空")
    private String content;

    /**
     * 状态
     */
    private String status;
    /**
     * 规则List
     */
    private List<RuleInfo> ruleInfoList;

}
