package com.muyu.marketing.domain.req;

import com.muyu.common.core.web.page.PageDomain;
import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.model.ActivityTeamInfoListQueryModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamInfoReq  extends PageDomain {

    /**
     * 搜索关键词
     */
    private String keyWord;

    /**
     * 状态
     */
    private String states;


    /**
     * 通过当前对象重构查询模型
     * @return 业务查询模型
     */
    public ActivityTeamInfoListQueryModel buildQueryModel(){
        return  ActivityTeamInfoListQueryModel.builder()
                .keyWord(this.keyWord)
                .status(this.states)
                .build()
                .domainBuild(this);
    }
}
