package com.muyu.marketing.strategy;

/**
 * 团购活动策略
 */
public interface ActivityTeamStrategy {

    /**
     * 开团
     * @param activityTeamId 活动拼团id
     */
    public void openTeam(Long activityTeamId);

    /**
     * 申请加团
     * @param teamId 拼团id
     */
    public void applyTeam(Long teamId);

    /**
     * 加团
     * @param teamId 拼团id
     * @param orderNumber 订单号
     */
    public void addTeam(Long teamId, String orderNumber);

    /**
     * 退团
     * @param teamId 拼团id
     */
    public void backTeam(Long teamId);

    /**
     * 结算团
     * @param teamId 拼团id
     */
    public void settle(Long teamId);
}
