package com.muyu.marketing.strategy.impl;

import com.muyu.common.core.exception.ServiceException;
import com.muyu.common.core.utils.SpringUtils;
import com.muyu.marketing.strategy.ActivityTeamStrategy;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

@Service
@Primary
public class ActivityTeamStrategyImpl implements ActivityTeamStrategy {
    @Override
    public void openTeam(Long activityTeamId) {
        String activityTeamType = null;
        if (activityTeamId==null){
            throw new ServiceException("activityTeamId 不能为空");
        }else if (activityTeamId==1){
            activityTeamType="team_strategy_exemption_hundred";
        }else if (activityTeamId==2){
            activityTeamType="team_strategy_exemption_ordinary";
        }else if (activityTeamId==3){
            activityTeamType="team_strategy_exemption";
        }
        ActivityTeamStrategy activityTeamStrategy = SpringUtils.getBean(activityTeamType);
        activityTeamStrategy.openTeam(activityTeamId);
    }

    @Override
    public void applyTeam(Long teamId) {

    }

    @Override
    public void addTeam(Long teamId, String orderNumber) {

    }

    @Override
    public void backTeam(Long teamId) {

    }

    @Override
    public void settle(Long teamId) {

    }
}
