package com.muyu.product.domain.req;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 商品属性对象 attribute_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AttributeInfoEditReq", description = "商品属性")
public class AttributeInfoEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 属性名 */
    @ApiModelProperty(name = "属性名", value = "属性名", required = true)
    private String name;

    /** 分组 */
    @ApiModelProperty(name = "分组", value = "分组")
    private Long groupId;

    @ApiModelProperty(name = "属性编码", value = "属性编码")
    private String code;


     /** 属性编码 */
    @Excel(name = "创建人")
    @ApiModelProperty(name = "创建人", value = "创建人", required = true)
    private String createBy;

    /** 属性名 */
    @Excel(name = "创建时间")
    @ApiModelProperty(name = "创建时间", value = "创建时间", required = true)
    private Date createTime;

     /** 属性编码 */
    @Excel(name = "更新人")
    @ApiModelProperty(name = "更新人", value = "更新人", required = true)
    private String updateBy;

    /** 属性名 */
    @Excel(name = "更新时间")
    @ApiModelProperty(name = "更新时间", value = "更新时间", required = true)
    private Date updateTime;

    /** 属性名 */
    @Excel(name = "备注")
    @ApiModelProperty(name = "备注", value = "备注", required = true)
    private String remark;

}
